package com.winhc.repal.cloud;

import com.winhc.common.base.ApiDataResult;
import com.winhc.repal.cloud.dto.GetCompanyRiskNumDTO;
import com.winhc.repal.cloud.dto.GetFinanceDynamicNumDTO;
import com.winhc.repal.cloud.vo.CompanyRiskNumVO;
import com.winhc.repal.cloud.vo.FinanceDynamicNumVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @Description: DataMiddlewareService
 * @Author: xda
 * @Date: 2022/4/14 14:21
 */

@FeignClient("winhc-data-middleware")
//@FeignClient(value = "winhc-data-middleware", url = "http://47.101.212.122:10001/")
public interface DataMiddlewareService {




    /**
     * 财产线索数量
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < FinanceDynamicNumVO>>
     * @author xda
     * @date 2022/4/14 14:22
     */
    @PostMapping("/dynamic/finance/v8/num")
    ApiDataResult<List<FinanceDynamicNumVO>> getFinanceDynamicNumV8List(@RequestBody GetFinanceDynamicNumDTO dto);


    /**
     * 获取公司风险数量
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < com.winhc.repal.cloud.vo.CompanyRiskNumVO>>
     * @author xda
     * @date 2022/4/14 14:41
     */
    @PostMapping("/risk/companyList")
    ApiDataResult<List<CompanyRiskNumVO>> getCompanyRiskNumList(@RequestBody GetCompanyRiskNumDTO dto);
}
