package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description RepalCustomer VO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="RepalCustomer VO对象", description="回款宝客户表")
public class RepalCustomerDetailVO {

    @ApiModelProperty(value = "客户id")
    private Long custId;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "所属行业JSON")
    private String industry;

    @ApiModelProperty(value = "办公地址")
    private String address;

    @ApiModelProperty(value = "附件JSON")
    private String attachment;

    @ApiModelProperty(value = "备注信息")
    private String remark;

    @ApiModelProperty(value = "1客户  2供应商")
    private Integer custType;

    @ApiModelProperty("关联账款数量")
    private Integer repalBillCount;

    @ApiModelProperty(value = "待收/待付金额")
    private String receivableStr;

    @ApiModelProperty("已逾期str")
    private String totalOverdueStr;

    @ApiModelProperty(value = "账款总金额")
    private String totalMoneyStr;

    @ApiModelProperty(value = "已收回")
    private String totalTransMoneyStr;

    @ApiModelProperty(value = "负责人")
    private List<RepalGroupMemberVO> charges;

    @ApiModelProperty("未读动态数量依次是 逾期 风险预警 评级 财产")
    private List<Integer> dynamicCountList;
}
