package com.winhc.repal.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.winhc.repal.entity.RepalRemindHistory;
import com.winhc.repal.enums.Dict;
import com.winhc.repal.model.vo.RemindTypeUnReadCountVO;
import com.winhc.repal.model.vo.RepalBillRemindUnReadVO;
import com.winhc.repal.repository.RepalRemindHistoryMapper;
import com.winhc.repal.service.RepalRemindHistoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalRemindHistoryDTO;
import com.winhc.repal.model.cvt.RepalRemindHistoryConvert;
import com.winhc.repal.model.vo.RepalRemindHistoryVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalRemindHistory 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalRemindHistoryServiceImpl extends ServiceImpl<RepalRemindHistoryMapper, RepalRemindHistory> implements RepalRemindHistoryService {
    @Autowired
    private RepalRemindHistoryMapper repalRemindHistoryMapper;

    @Override
    public RepalBillRemindUnReadVO getRemindUnReadVO(List<Long> repalBillIds) {
        RepalBillRemindUnReadVO result = new RepalBillRemindUnReadVO(0,0,0,0,0);
        List<RemindTypeUnReadCountVO> unReadCounts = repalRemindHistoryMapper.getRemindUnReadVO(repalBillIds);
        if (CollUtil.isEmpty(unReadCounts)) {
            // 没有未读
            return result;
        }
        unReadCounts.forEach(countVO -> {
            if (Dict.RemindEnum.风险预警.name().equals(countVO.getRemindType())) {
                result.setUnreadRiskCount(countVO.getCount());
            }
            if (Dict.RemindEnum.财产线索.name().equals(countVO.getRemindType())) {
                result.setUnreadFinanceCount(countVO.getCount());
            }
            if (Dict.RemindEnum.账款评级.name().equals(countVO.getRemindType())) {
                result.setUnreadRankCount(countVO.getCount());
            }
            if (Dict.RemindEnum.逾期提醒.name().equals(countVO.getRemindType())) {
                result.setUnreadOverdueCount(countVO.getCount());
            }
        });
        result.setUnreadTotalCount(unReadCounts.stream().mapToInt(RemindTypeUnReadCountVO::getCount).sum());
        return result;
    }
}
